Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

[SOLVED] Qt Creator 3.0 & Qt 4.8



  • So how can I use Qt Creator 3.0 with Qt 4.8 for android development?

    The reason I ask is because I already have Qt 5.2 installed and would like to also work on Qt 4.8 projects that involve android.



  • AFAIK Qt-4 does not support android.



  • I know Qt 4.8 doesn't support android but isn't there a way I could use Qt Creator 3.0 to install Necessitas as a kit for the "Build & Run"?



  • I've never used Necessitas but if it has the same structure as Qt then you just go to Options/Build & Run select Qt Versions tab and Add Necessitas as new Qt version. Then go to Kits tab, add new kit and select Necessitas as Qt version.



  • Check it out! It's pretty cool for what they had at the time! It just sucks having to deal with backwards compatibility issues :/

    http://necessitas.kde.org/



  • I think I got it! for the most part... Not that I can port projects from 4.8 -> 5.2 but just the fact that I can work on projects from different versions of Qt and use an old android work-around (necessitas) all in the same IDE!

    It's a bit difficult but andreyc post helps get us in the right direction:
    [quote author="andreyc" date="1398396993"]...just go to Options/Build & Run select Qt Versions tab and Add Necessitas as new Qt version. Then go to Kits tab, add new kit and select Necessitas as Qt version.[/quote]

    You have to install necessitas and point it in the right direction, as stated above.


Log in to reply